<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
	<TargetFramework>net8.0</TargetFramework>
	<ImplicitUsings>enable</ImplicitUsings>
    <Platforms>AnyCPU;x64</Platforms>
    <UserSecretsId>3900ce93-de15-49e5-9a61-7dc2209939ca</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <DockerfileContext>..\..</DockerfileContext>
    <DockerComposeProjectPath>..\..\docker-compose.dcproj</DockerComposeProjectPath>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AspNetCore.HealthChecks.MongoDb" Version="8.1.0" />
    <PackageReference Include="AspNetCore.HealthChecks.UI.Client" Version="9.0.0" />
    <PackageReference Include="AspNetCore.HealthChecks.Uris" Version="9.0.0" />
    <PackageReference Include="Essential.LoggerProvider.Elasticsearch" Version="1.3.2" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.20.1" />
    <PackageReference Include="NSwag.AspNetCore" Version="14.0.7" />
    <PackageReference Include="Sentry.AspNetCore" Version="5.5.1" />
    <PackageReference Include="Serilog.AspNetCore" Version="8.0.1" />
    <PackageReference Include="Serilog.Enrichers.Environment" Version="2.3.0" />
    <PackageReference Include="Serilog.Exceptions" Version="8.4.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="5.0.1" />
    <PackageReference Include="Serilog.Sinks.Debug" Version="2.0.0" />
    <PackageReference Include="Serilog.Sinks.Elasticsearch" Version="10.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.Newtonsoft" Version="6.6.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="6.6.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="6.6.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="6.6.1" />
    <PackageReference Include="xunit" Version="2.8.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Managing.Bootstrap\Managing.Bootstrap.csproj" />
    <ProjectReference Include="..\Managing.Aspire.ServiceDefaults\Managing.Aspire.ServiceDefaults.csproj" />
    <ProjectReference Include="..\Managing.Core\Managing.Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.Oda.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="appsettings.Prod.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="appsettings.ProdLocal.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
</Project>
